Get Parameters Game Topup
curl --request POST \
--url https://sandbox-biller-b2b.singapay.id/api/v2/prepaid/get-parameter-game-topup \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--header 'X-PARTNER-ID: <x-partner-id>' \
--data '
{
"command": "get-parameter-game-topup",
"data": {
"category_code": "topupg"
}
}
'import requests
url = "https://sandbox-biller-b2b.singapay.id/api/v2/prepaid/get-parameter-game-topup"
payload = {
"command": "get-parameter-game-topup",
"data": { "category_code": "topupg" }
}
headers = {
"X-PARTNER-ID": "<x-partner-id>",
"Accept": "<accept>",
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-PARTNER-ID': '<x-partner-id>',
Accept: '<accept>',
'Content-Type': '<content-type>',
Authorization: 'Bearer <token>'
},
body: JSON.stringify({command: 'get-parameter-game-topup', data: {category_code: 'topupg'}})
};
fetch('https://sandbox-biller-b2b.singapay.id/api/v2/prepaid/get-parameter-game-topup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"command": "get-parameter-game-topup",
"response_code": "00",
"response_text": "Operation completed successfully",
"data": {}
}{
"status": 401,
"success": false,
"error": {
"code": 401,
"message": "Unauthorized merchant, please sign in"
}
}{
"command": "detail-bill-transaction",
"response_code": "04",
"response_text": "Rejected Format Error",
"data": {
"data": "The data field is required.",
"data.transaction_id": "The data.transaction id field is required."
}
}Prepaid V2
Get Parameters Game Topup
Retrieve the required parameters (e.g., server ID, username, platform) for a specific game topup product category. Use this before performing a game topup inquiry.
POST
/
api
/
v2
/
prepaid
/
get-parameter-game-topup
Get Parameters Game Topup
Authorizations
JWT Bearer token obtained from /api/v1.0/access-token/b2b
Headers
Your unique partner API key
Body
application/json
⌘I
